Banking
Import a bank statement file (csv, mt940, mt942, camt052/053/054, ofx). Parses, de-duplicates against previously imported lines, auto-matches open invoices and applies bank rules. Re-importing the same file is a safe no-op. Honours Idempotency-Key. (scope: banking:write)
POST
bearerAuthheader
AuthorizationBearer <token>API key as Bearer token
application/json- body
format*stringValue in
"csv""mt940""mt942""camt053""camt052""camt054""ofx"content*stringRaw file contents (max 5 MB)
sourceFilename?stringLength
length <= 255curl -X POST "https://example.com/banking/statements/import" \ -H "Content-Type: application/json" \ -d '{ "format": "csv", "content": "string" }'Empty